List Public Holiday Groups
get
/public/v1/public-holiday-groupsReturns your organisation's public holiday groups. A public holiday can be limited to some groups or excluded from others, and it then applies to a participant according to the groups that participant belongs to.
sortstringSort the results. Prefix with '-' for descending. One of: name. Defaults to name ascending.
Example:namepage[size]integerNumber of results per page. Minimum 1, maximum 100.
Default:25page[number]integerThe page number to retrieve. Use the
last_pagevalue from themetaresponse to determine the total number of pages available.Default:1
Response
200application/jsonPaginated set of PublicHolidayGroupResource
dataobject[]required▶Show 2 child attributesHide child attributes
idstringrequiredExample:d4e5f6a7-b8c9-40d1-8e2f-3a4b5c6d7e8fnamestringrequiredExample:Greater Geelong
metaobjectrequired▶Show 5 child attributesHide child attributes
current_pageintegerrequired≥ 1last_pageintegerrequired≥ 1per_pageintegerrequired≥ 0Number of items shown per page.
totalintegerrequired≥ 0Total number of items being paginated.
allowed_sortsstring[]requiredThe list of allowed sorts for this endpoint.
401Unauthenticated403Authorization error